// Project Sword & Gun Copyright © 2021 Kevin Poretti

#pragma once

#include "CoreMinimal.h"

#include "Characters/SNGProtagonist.h"
#include "States/SNGState.h"
#include "SNGProtagonistState.generated.h"

/**
 * 
 */
UCLASS()
class SWORDNGUN_API USNGProtagonistState : public USNGState
{
	GENERATED_BODY()

public:
	virtual void SetOwner(AActor* StateOwner) override;
	
protected:
	UPROPERTY(BlueprintReadOnly)
	ASNGProtagonist* Protagonist;
};
